groovy.sql

## Class SqlOrderByVisitor

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - groovy.sql.SqlOrderByVisitor

All Implemented Interfaces:
  GroovyCodeVisitor

    public class SqlOrderByVisitor
    extends CodeVisitorSupport

Author:
  Paul King

### Constructor Summary

Constructors
Constructor and Description
`SqlOrderByVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getOrderBy()`
`void` `visitPropertyExpression(PropertyExpression expression)`
`void` `visitReturnStatement(ReturnStatement statement)`

### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlOrderByVisitor

    public SqlOrderByVisitor()

### Method Detail

#### getOrderBy

    public java.lang.String getOrderBy()

#### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

Specified by:
  `visitReturnStatement` in interface `GroovyCodeVisitor`
Overrides:
  `visitReturnStatement` in class `CodeVisitorSupport`

#### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

Specified by:
  `visitPropertyExpression` in interface `GroovyCodeVisitor`
Overrides:
  `visitPropertyExpression` in class `CodeVisitorSupport`